Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# FLAC__StreamMetadata_CueSheet_Track Struct Reference
[FLAC/format.h: format components]

`#include <format.h>`

List of all members.

## Detailed Description

FLAC CUESHEET track structure. (See the format specification for the full description of each field.)

## Public Attributes
FLAC__uint64 | offset
FLAC__byte | number
char | isrc [13]
unsigned | type:1
unsigned | pre_emphasis:1
FLAC__byte | num_indices
FLAC__StreamMetadata_CueSheet_Index * | indices

## Member Data Documentation

FLAC__uint64 FLAC__StreamMetadata_CueSheet_Track::offset

| Track offset in samples, relative to the beginning of the FLAC audio stream.

FLAC__byte FLAC__StreamMetadata_CueSheet_Track::number

| The track number.

char FLAC__StreamMetadata_CueSheet_Track::isrc[13]

| Track ISRC. This is a 12-digit alphanumeric code plus a trailing `NUL` byte

unsigned FLAC__StreamMetadata_CueSheet_Track::type

| The track type: 0 for audio, 1 for non-audio.

unsigned FLAC__StreamMetadata_CueSheet_Track::pre_emphasis

| The pre-emphasis flag: 0 for no pre-emphasis, 1 for pre-emphasis.

FLAC__byte FLAC__StreamMetadata_CueSheet_Track::num_indices

| The number of track index points.

FLAC__StreamMetadata_CueSheet_Index* FLAC__StreamMetadata_CueSheet_Track::indices

| NULL if num_indices == 0, else pointer to array of index points.

The documentation for this struct was generated from the following file:

- include/FLAC/format.h

Copyright (c) 2000,2001,2002,2003,2004,2005,2006,2007 Josh Coalson |